import { RootPaper } from "@ess-ics/ce-ui-common";
import { useParams } from "react-router-dom";
import { HostDetailsContainer } from "./HostDetailsContainer";
import { AccessControl } from "../../../components/auth/AccessControl";

export function HostDetailsAccessControl() {
  const { id } = useParams();

  return (
    <RootPaper data-testid="host-details-container">
      <AccessControl allowedRoles={[]}>
        <HostDetailsContainer hostId={id} />
      </AccessControl>
    </RootPaper>
  );
}
